WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WooCommerce PayJunction Gateway

The PayJunction payment gateway plugin for WooCommerce. A PayJunction account, Curl support, and a server with SSL support and an SSL certificate is r

Simply follow these steps to install:
1. Unzip the file.
2. Upload the "woocommerce-gateway-PayJunction" folder to your WordPress Plugins directory.
3. Login to your WordPress Admin, then go to Plugins and activate the "WooCommerce PayJunction Gateway" plugin
4. Within the WordPress Admin, go to WooCommerce >> Settings, then click on the Payment Gateways tab, then click on the PayJunction link.
5. Enter the proper information...

To use in "Live Mode"
1. Gather your QuickLink API Login and Password as explained on the following article: https://company.payjunction.com/pages/viewpage.action?pageId=328435
2. Login to your WordPress Admin.
3. Go to WooCommerce >> Settings >> PayJunction.
4. Un-check "Enable PayJunction Test".
5. Enter your API Username (See step 1 above).
6. Enter your API Password (See step 1 above).
7. Click "Save". Your website/shopping cart is now setup to process transactions via your PayJunction acount. We recommend that you process a test transaction, then login to your PayJunction account to confirm that it appears in your Current Unsettled Batch (aka Transaction History).

To use in "Test Mode"
1. Login to your WordPress Admin.
2. Go to WooCommerce >> Settings >> PayJunction.
3. Check the box for "Enable PayJunction Test".
4. Use the following API Username = pj-ql-01
5. Use the following API Password = pj-ql-01p

Test Credit Card Info:
Test Credit Card: 4444333322221111
Test Expiration Date: 01/18
Test CCV: 999 (If your settings are checking for CCV)
Test Address: 8320 (If your settings are checking for Address)
Zip Code: 85284 (If your settings are checking for Zip Code)

To check your test transactions:
1. Go to http://www.payjunctionlabs.com
2. Click on "Merchant Login"
3. Login: payjunctiondemo
4. Password: demo123
5. Go to the "Batches/History" section
6. Click on "View Current Batch"

Requires: 3.0.1 or higher
Compatible up to: 3.9.1
Last Updated: 2014-6-3
Downloads: 2,681

Ratings

0 stars
0 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.